Bug 15214 - Add logging of authority updates to bulkmarcimport
Summary: Add logging of authority updates to bulkmarcimport
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-19 08:51 UTC by Matthias Meusburger
Modified: 2020-05-18 14:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 15214: bulkmarcimport should log if an authority has been updated (1.64 KB, patch)
2015-11-19 08:58 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 15214: bulkmarcimport should log if an authority has been updated (1.53 KB, patch)
2020-03-11 17:34 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 15214: bulkmarcimport should log if an authority has been updated (1.61 KB, patch)
2020-03-20 16:39 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2015-11-19 08:51:25 UTC
When importing with bulkmarcimport, authorities may or may not be updated based on which authority is newer (005 are compared).

It could be useful to keep track of which authority has been updated or not in the result yaml file.

This patch does that.

Test plan:
1) Import an authority file with -yaml. The resulting yaml file looks like this:
---
027226794:
  authid: 41759
  subfields:
    - France
02722709X:
  authid: 44782
  subfields:
    - Femmes
    - Travail
[...]

2) Apply the patch.

3) Import an authority file with -yaml. The resulting yaml file should look like this:
---
027226794:
  authid: 41759
  subfields:
    - France
  updated: 1
02722709X:
  authid: 44782
  subfields:
    - Femmes
    - Travail
  updated: 0
[...]
Comment 1 Matthias Meusburger 2015-11-19 08:58:13 UTC
Created attachment 44979 [details] [review]
Bug 15214: bulkmarcimport should log if an authority has been updated
Comment 2 Jon Knight 2020-03-11 17:34:13 UTC
Created attachment 100591 [details] [review]
Bug 15214: bulkmarcimport should log if an authority has been updated

When importing with bulkmarcimport, authorities may or may not be updated based on which authority is newer (005 are compared).
This patch allows to keep track in the result yaml file if an authority has been updated or not:

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 Kyle M Hall 2020-03-20 16:39:44 UTC
Created attachment 101301 [details] [review]
Bug 15214: bulkmarcimport should log if an authority has been updated

When importing with bulkmarcimport, authorities may or may not be updated based on which authority is newer (005 are compared).
This patch allows to keep track in the result yaml file if an authority has been updated or not:

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Martin Renvoize 2020-03-24 11:05:00 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 21:38:46 UTC
enhancement not backported to 19.11.x